## xtell 1.91.1

=== debian/changelog ===
xtell (1.91.1) stable; urgency=high

  * server part backported from 2.7 to fix several buffer overflows
    and possible DOS attacks (closes: #136018)

 -- Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>  Sat,  2 Mar 2002 14:47:17 +0100

xtell (1.91) unstable; urgency=low

  * Updated Standards-Version
  * Compiled with new libreadline
  * Uses suidregister

 -- Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>  Fri,  7 Jan 2000 21:40:49 +0100

xtell (1.9) unstable; urgency=low

  * Better dealing with broken servers

 -- Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>  Tue, 23 Nov 1999 18:50:18 +0100

xtell (1.8) unstable; urgency=low

  * Oversight from previous versions in documentation corrected.
  * I again forgot to increase the version number.... fixed now.

 -- Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>  Wed,  3 Nov 1999 10:01:25 +0100

xtell (1.7) unstable; urgency=low

  * linked with GNU readline library

 -- Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>  Fri, 29 Oct 1999 15:34:06 +0200

xtell (1.6) unstable; urgency=low

  * Fix typo in description. (Closes: #48056)
  * Put Radovan's name back in the maintainer field; I misunderstood how
    this whole "sponsor" thing is supposed to work.

 -- Chris Lawrence <lawrencc@debian.org>  Sat, 23 Oct 1999 15:23:17 -0500

xtell (1.5) unstable; urgency=low

  * upgraded Standards-Version
  * Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk> is the person
    responsible for this package; I am his sponsor and uploading it on his
    behalf.

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 13 Oct 1999 22:02:27 +0200

xtell (1.4) unstable; urgency=low

  * messages can contain 8-bit characters
  * call start-stop-demon with path - it did break on some systems
  * build with new debhelper - FHS compliant
  * diversion for write(1) added - this time properly
  * documentation update

 -- Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>  Sun,  3 Oct 1999 21:42:56 +0200

xtell (1.3) unstable; urgency=low

  * the date used month number instead of day number... Oops. Fixed now.
  * increased version number which was still 1.1.... Double oops.

 -- Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>  Thu, 26 Aug 1999 10:19:16 +0200

xtell (1.2) unstable; urgency=low

  * make xtell run as nobody in /etc/init.d/xtelld

 -- Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>  Sun,  1 Aug 1999 18:51:18 +0200

xtell (1.1) unstable; urgency=low

  * disabled diversion to write - we are playing it safe :-)
  * runs as daemon by default, not from inetd.

 -- Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>  Thu, 29 Jul 1999 10:07:53 +0200

xtell (1.0) unstable; urgency=low

  * added write-compatibility mode
  * manual page updates
  * added diversion to write for debian package
  * replaced % with : to separate port from hostname
  * added logging of outgoing messages

 -- Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>  Tue,  8 Jun 1999 10:15:32 +0200

xtell (0.9) unstable; urgency=low

  * converted to debhelper
  * code and Makefile cleanup
  * works under FreeBSD (thanks to Peter Rybar <prybar@fmph.uniba.sk>)

 -- Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>  Tue,  4 May 1999 13:56:13 +0200

xtell (0.8) unstable; urgency=low

  * should not access utmp file directly, which makes
    everybody happy, and (hopefully) avoids the whole mess
    with different utmp structures for different (g)libc 
    versions.
    
 -- Radovan Garabik <garabik@fmph.uniba.sk>  Wed, 17 Mar 1999 10:09:43 +0100

xtell (0.7) unstable; urgency=low

  * Package debianized.
  * General code cleanup
  * Added --help and --version to xtell (as requested by PeHaSys)
  * No longer does empty line end sending messages - use ^D instead
  * does not use cuserid(3) anymore
  * Previous changes are:
    v0.6 - logging of messages added
    v0.5 - verbose mode added
    v0.4 - manual pages
    v0.3 - various fixes, does not required snprintf to compile
    v0.2 - fixed bug when printing % sign
    v0.1 - initial release
    
 -- Radovan Garabik <garabik@fmph.uniba.sk>  Sun, 14 Mar 1999 21:16:48 +0100

Local variables:
mode: debian-changelog
End:

## xtell 1.91.2

=== Makefile ===

BINDIR=/usr/local/bin
SBINDIR=/usr/local/sbin
MANDIR=/usr/local/man

CC = gcc 

#if you have libident and snprintf and are compiling this on Linux
#CFLAGS = -O2 -Wall  

#if you have libident and snprintf and GNU libreadline
#CFLAGS = -O2 -Wall -DREADLINE

#or, if you do not have libinent at all:
CFLAGS = -O2 -Wall -DDONT_HAVE_LIBIDENT
#and if you do not have snprintf
#CFLAGS = -O2 -Wall -DDONT_HAVE_SNPRINTF

#and if you do not have both 
#CFLAGS = -O2 -Wall -DDONT_HAVE_SNPRINTF -DDONT_HAVE_LIBIDENT

#add -DBSD_COMPILE to CFLAGS if you are compiling this on FreeBSD, like this:
#CFLAGS = -O2 -Wall -DDONT_HAVE_LIBIDENT -DBSD_COMPILE

#uncomment the following line if you do have libident.so
#LDFLAGS = -lident

#if you have GNU libreadline, you can use it:
#LDFLAGS = -lreadline

#use the following line in case you have only libident.a, not shared 
#library (or you want to link staticly against libident)
#LDFLAGS=/usr/lib/libident.a

#LDFLAGS should stay empty if you do not have libident and GNU libreadline at all
LDFLAGS =

all: xtell xtelld

xtelld: xtelld.o daemon.o child.o tty.o common.c
	$(CC) $(CFLAGS) xtelld.o daemon.o child.o tty.o common.o $(LDFLAGS) -o xtelld
	strip xtelld

xtell: xtell.o utils.o
	$(CC) $(CFLAGS) xtell.o utils.o $(LDFLAGS) -o xtell

xtelld.o: xtelld.c
	$(CC) $(CFLAGS) -c xtelld.c

common.o: common.c
	$(CC) $(CFLAGS) -c common.c

daemon.o: daemon.c
	$(CC) $(CFLAGS) -c daemon.c

child.o: child.c
	$(CC) $(CFLAGS) -c child.c

tty.o: tty.c
	$(CC) $(CFLAGS) -c tty.c

xtell.o: xtell.c
	$(CC) $(CFLAGS) -c xtell.c

clean:
	rm -f *~ *.o xtell xtelld

install: xtelld xtell
	cp xtelld $(SBINDIR)
	chgrp tty $(SBINDIR)/xtelld
	chmod g+s $(SBINDIR)/xtelld
	cp xtell $(BINDIR)

install-doc: 
	mkdir -p $(MANDIR)/man1 $(MANDIR)/man8
	mkdir -p $(MANDIR)/man1 $(MANDIR)/man1
	gzip -9 xtell.1 -c >$(MANDIR)/man1/xtell.1.gz
	gzip -9 xtelld.8 -c >$(MANDIR)/man8/xtelld.8.gz

=== debian/changelog ===
xtell (1.91.2) stable; urgency=high

  * fixed unterminated string bug in reverse DNS lookup
    and another one in checking for given tty filename -
    this fixes security issue with possible writing
    into files owned by nobody

 -- Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>  Fri, 22 Mar 2002 19:18:52 +0100

=== debian/control ===
Source: xtell
Section: net
Priority: optional
Maintainer: Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>
Standards-Version: 3.1.1
Build-Depends: libreadline4-dev

Package: xtell
Architecture: any
Depends: ${shlibs:Depends}, netbase
Description: Simple messaging client and server, sort of networked write
 Simple messaging client and server, allowing you to send messages
 from computer running xtell client to computer running xtelld server.
 Can be used as replacement for write(1).

=== debian/rules ===
#!/usr/bin/make -f
# MAde with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir

	
	# Add here commands to compile the package.
	$(MAKE) -f Makefile.debian

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) -f Makefile.debian clean

	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	# Add here commands to install the package into debian/tmp.
	$(MAKE) -f Makefile.debian install DESTDIR=`pwd`/debian/tmp
#	ln -s xtell `pwd`/debian/tmp/usr/bin/write

	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
	dh_installinit
	dh_installcron
	dh_installmanpages
#	dh_undocumented
	dh_installchangelogs 
	dh_strip
	dh_compress
	dh_fixperms
	chown root.tty debian/tmp/usr/sbin/xtelld
	chmod g+s debian/tmp/usr/sbin/xtelld
	dh_suidregister
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
#	dh_makeshlibs
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## xtell 2.9

=== debian/changelog ===
xtell (2.9) unstable; urgency=low

  * fixed race condition when writing to logfile

 -- Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>  Wed, 10 Apr 2002 19:48:10 +0200

xtell (2.8) unstable; urgency=low

  * fixed unterminated string bug in reverse DNS lookup
    and another one in checking for given tty filename
  * Russian debconf template added, thanks to 
    Илгиз Калметев (Ilgiz Kalmetev) <ilgiz@bashtelecom.ru>

 -- Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>  Fri, 22 Mar 2002 20:09:22 +0100

xtell (2.7) unstable; urgency=high

  * better checking for array sizes - fixes some buffer overflows
    and consequently remote shell exploits
  * test if specified tty is actually a terminal - fixes possibility
    of a DOS attack

 -- Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>  Fri,  1 Mar 2002 21:20:27 +0100

xtell (2.6.1) unstable; urgency=low

  * since xtell was added to /etc/services in netbase 4.06, we can do proper
    thing when adding entry to /etc/inetd.conf

 -- Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>  Sun, 21 Oct 2001 16:30:12 +0200

xtell (2.6) unstable; urgency=low

  * reconnecting to broken servers should now work
  * Spanish debconf template added (closes: #102992),
    thanks to Carlos Valdivia Yagüe <valyag@teleline.es>

 -- Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>  Thu, 12 Jul 2001 14:31:34 +0200

xtell (2.5) unstable; urgency=low

  * several more improvement
  * again better portability
  * documentation updates
  * check for hostname when xtell client starts
  * corrected typo in strftime format string (nobody noticed, eh? :-))
  * added simple xtellreply script to /usr/share/doc/xtell/examples (closes: #78130)

 -- Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>  Mon, 16 Apr 2001 21:23:45 +0200

xtell (2.4) unstable; urgency=low

  * client mostly rewritten from scratch, many minor improvements
  * some improvements in the server, too
  * removed binaries from tarball and fixed debian/rules to remove them
    automatically (closes: #94043)
  * added German debconf template (closes: #94148), thanks to Jörg Rieger
  * better portability

 -- Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>  Mon, 16 Apr 2001 17:58:56 +0200

xtell (2.3) unstable; urgency=low

  * removed autoconf, it just made troubles
  * use debconf
  * various code cleanups and tweaks

 -- Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>  Mon,  9 Apr 2001 23:39:27 +0200

xtell (2.2) unstable; urgency=low

  * ask for ident only first time a connection is made (closes: #76016)
  * removed superflous \n in replies

 -- Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>  Wed,  1 Nov 2000 09:30:02 +0100

xtell (2.1.1) unstable; urgency=low

  * rebuilt with a new GPG key

 -- Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>  Fri,  1 Sep 2000 08:54:02 +0200

xtell (2.1) unstable; urgency=low

  * fixed broked diversion

 -- Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>  Tue, 22 Feb 2000 13:20:51 +0100

xtell (2.0) unstable; urgency=low

  * moved to autoconf & automake
  * do not create .xtell-log if it does not exist
  * better init.d script
  * move dh_installinit after dh_suidregister in debian/rules to avoid
    premature execution when upgrading

 -- Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>  Mon, 14 Feb 2000 21:19:37 +0100

=== debian/control ===
Source: xtell
Section: net
Priority: optional
Maintainer: Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>
Standards-Version: 3.5.6
Build-Depends: libreadline4-dev, libident-dev, debhelper

Package: xtell
Architecture: any
Depends: ${shlibs:Depends}, netbase (>= 4.06), debconf
Description: Simple messaging client and server, sort of networked write
 Simple messaging client and server, allowing you to send messages
 from computer running xtell client to computer running xtelld server.
 Can be used as replacement for write(1).

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,7 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+export DH_COMPAT=2
 
 build: build-stamp
 build-stamp:
@@ -12,8 +13,7 @@
 
 	
 	# Add here commands to compile the package.
-	$(MAKE) -f Makefile.debian
-
+	$(MAKE) LDFLAGS="-lreadline -lident"
 	touch build-stamp
 
 clean:
@@ -22,7 +22,7 @@
 	rm -f build-stamp install-stamp
 
 	# Add here commands to clean up after the build process.
-	-$(MAKE) -f Makefile.debian clean
+	-$(MAKE) clean
 
 	dh_clean
 
@@ -33,9 +33,8 @@
 	dh_clean -k
 	dh_installdirs
 	# Add here commands to install the package into debian/tmp.
-	$(MAKE) -f Makefile.debian install DESTDIR=`pwd`/debian/tmp
-#	ln -s xtell `pwd`/debian/tmp/usr/bin/write
-
+	$(MAKE) install DESTDIR=`pwd`/debian/xtell
+# DESTDIR=`pwd`/debian/tmp/usr
 	touch install-stamp
 
 # Build architecture-independent files here.
@@ -47,11 +46,11 @@
 #	dh_testversion
 	dh_testdir
 	dh_testroot
+	dh_installdebconf
 	dh_installdocs
 	dh_installexamples
 	dh_installmenu
 #	dh_installemacsen
-	dh_installinit
 	dh_installcron
 	dh_installmanpages
 #	dh_undocumented
@@ -59,9 +58,10 @@
 	dh_strip
 	dh_compress
 	dh_fixperms
-	chown root.tty debian/tmp/usr/sbin/xtelld
-	chmod g+s debian/tmp/usr/sbin/xtelld
-	dh_suidregister
+#	chown root.tty debian/tmp/usr/sbin/xtelld
+#	chmod g+s debian/tmp/usr/sbin/xtelld
+#	dh_suidregister
+	dh_installinit
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol

## xtell 2.10.1

=== debian/changelog ===
xtell (2.10.1) unstable; urgency=low

  * added french debconf template, thanks to 
    Philippe Batailler <philippe.batailler@free.fr>, closes: #184780

 -- Radovan Garabík <garabik@kassiopeia.juls.savba.sk>  Tue,  1 Apr 2003 13:30:19 +0200

xtell (2.10) unstable; urgency=low

  * switched debconf templates translations into po-debconf
  * danish template added, thanks to Michael Kristensen <tazz@wtf.dk>
    (closes: #174729)

 -- Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>  Wed,  5 Feb 2003 15:46:56 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: xtell
 Section: net
 Priority: optional
-Maintainer: Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>
-Standards-Version: 3.5.6
-Build-Depends: libreadline4-dev, libident-dev, debhelper
+Maintainer: Radovan Garabík <garabik@kassiopeia.juls.savba.sk>
+Standards-Version: 3.5.8
+Build-Depends: libreadline4-dev, libident-dev, debhelper (>= 4.1.16)
 
 Package: xtell
 Architecture: any

## xtell 2.10.1-0.1

=== debian/changelog ===
xtell (2.10.1-0.1) unstable; urgency=low

  * Non-maintainer upload for fixing l10n issues
  * Translations:
    - Updated Danish translation thanks Claus Hindsgaul (closes: #233273)
    - Updated Spanish translation thanks Carlos Alberto Martín Edo (closes: #201562)
    - New Dutch translation thanks Bart Cornelis (closes: #205355)
    - New Japanese translation thanks Hideki Yamane (closes: #259796)
    - New Traditional Chinese translation thanks Asho Yeh
  * Lintian fixes:
    - Remove initial capital letter in the package description
    - Escape hyphens used as minus sign
    
 -- Luk Claes <luk@debian.org>  Tue, 25 Jan 2005 09:30:39 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Package: xtell
 Architecture: any
 Depends: ${shlibs:Depends}, netbase (>= 4.06), debconf
-Description: Simple messaging client and server, sort of networked write
+Description: simple messaging client and server, sort of networked write
  Simple messaging client and server, allowing you to send messages
  from computer running xtell client to computer running xtelld server.
  Can be used as replacement for write(1).

=== debian/rules ===
--- 
+++ 
@@ -58,6 +58,7 @@
 	dh_strip
 	dh_compress
 	dh_fixperms
+	dh_installdebconf
 #	chown root.tty debian/tmp/usr/sbin/xtelld
 #	chmod g+s debian/tmp/usr/sbin/xtelld
 #	dh_suidregister

## xtell 2.10.4

=== debian/changelog ===
xtell (2.10.4) unstable; urgency=low

  * fixed debconf dependency (closes: #332161)
  * included Swedish debconf template (closes:#330618)
  * don't divert write (caused problems since write is now managed with update-alternatives)

 -- Radovan Garabík <garabik@kassiopeia.juls.savba.sk>  Sat, 31 Dec 2005 22:19:38 +0200

xtell (2.10.3) unstable; urgency=low

  * rebuilt with libreadline5-dev (closes: #326281)

 -- Radovan Garabík <garabik@kassiopeia.juls.savba.sk>  Wed,  7 Sep 2005 08:57:17 +0200

xtell (2.10.2) unstable; urgency=low

  * New Vietnamese translation thanks Clytie Siddall (closes: #324274)
  * New Czech translation thanks Miroslav Kuře (closes: #314771)
  * Updated German translation thanks Jens Seidel (closes: #313858)
  * add acute accent in my name to manpages
  * depend on adduser

 -- Radovan Garabík <garabik@kassiopeia.juls.savba.sk>  Mon, 29 Aug 2005 17:47:58 +0200

=== debian/control ===
Source: xtell
Section: net
Priority: optional
Maintainer: Radovan Garabík <garabik@kassiopeia.juls.savba.sk>
Standards-Version: 3.6.2
Build-Depends: libreadline5-dev | libreadline-dev, libident-dev, debhelper (>= 4.1.16)

Package: xtell
Architecture: any
Depends: ${shlibs:Depends}, netbase (>= 4.06), debconf | debconf-2.0, adduser
Description: Simple messaging client and server, sort of networked write
 Simple messaging client and server, allowing you to send messages
 from computer running xtell client to computer running xtelld server.
 Can be used as replacement for write(1).

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-export DH_COMPAT=2
+export DH_COMPAT=4
 
 build: build-stamp
 build-stamp:
@@ -23,7 +23,7 @@
 
 	# Add here commands to clean up after the build process.
 	-$(MAKE) clean
-
+	debconf-updatepo
 	dh_clean
 
 install: install-stamp
@@ -46,13 +46,12 @@
 #	dh_testversion
 	dh_testdir
 	dh_testroot
-	dh_installdebconf
 	dh_installdocs
 	dh_installexamples
 	dh_installmenu
 #	dh_installemacsen
 	dh_installcron
-	dh_installmanpages
+	dh_installman xtell.1 xtelld.8
 #	dh_undocumented
 	dh_installchangelogs 
 	dh_strip

## xtell 2.10.5

=== debian/changelog ===
xtell (2.10.5) unstable; urgency=low

  * add Portuguese debconf template (closes: #383390)

 -- Radovan Garabík <garabik@kassiopeia.juls.savba.sk>  Sat, 17 Feb 2007 17:27:17 +0100

xtell (2.10.3) unstable; urgency=low 

  * rebuilt with libreadline5-dev (closes: #326281)

 -- Radovan Garabík <garabik@kassiopeia.juls.savba.sk>  Wed,  7 Sep 2005 08:57:17 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: net
 Priority: optional
 Maintainer: Radovan Garabík <garabik@kassiopeia.juls.savba.sk>
-Standards-Version: 3.6.2
-Build-Depends: libreadline5-dev | libreadline-dev, libident-dev, debhelper (>= 4.1.16)
+Standards-Version: 3.7.2
+Build-Depends: libreadline5-dev | libreadline-dev, libident-dev, debhelper (>= 4.1.16), po-debconf
 
 Package: xtell
 Architecture: any

## xtell 2.10.5ubuntu1

=== debian/changelog ===
xtell (2.10.5ubuntu1) feisty; urgency=low

  * Merge from debian unstable, remaining changes:
    - debian/control: Add update-inetd to xtell's dependencies
  * debian/control: Change Maintainer/XSBC-Original-Maintainer field.

 -- Lionel Porcheron <lionel@alveonet.org>  Sun, 18 Feb 2007 12:23:05 +0100

xtell (2.10.4ubuntu1) feisty; urgency=low

  * debian/control: Add update-inetd to xtell's dependencies
    (Closes Ubuntu: #76171).

 -- Lionel Porcheron <lionel@alveonet.org>  Sun, 17 Dec 2006 16:51:32 +0100

=== debian/control ===
Source: xtell
Section: net
Priority: optional
Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
XSBC-Original-Maintainer: Radovan Garabík <garabik@kassiopeia.juls.savba.sk>
Standards-Version: 3.7.2
Build-Depends: libreadline5-dev | libreadline-dev, libident-dev, debhelper (>= 4.1.16), po-debconf

Package: xtell
Architecture: any
Depends: ${shlibs:Depends}, netbase (>= 4.06), debconf | debconf-2.0, adduser, update-inetd
Description: Simple messaging client and server, sort of networked write
 Simple messaging client and server, allowing you to send messages
 from computer running xtell client to computer running xtelld server.
 Can be used as replacement for write(1).

=== debian/rules ===
--- 
+++ 
@@ -34,7 +34,6 @@
 	dh_installdirs
 	# Add here commands to install the package into debian/tmp.
 	$(MAKE) install DESTDIR=`pwd`/debian/xtell
-# DESTDIR=`pwd`/debian/tmp/usr
 	touch install-stamp
 
 # Build architecture-independent files here.

## xtell 2.10.5+nmu1ubuntu1

=== debian/changelog ===
xtell (2.10.5+nmu1ubuntu1) intrepid; urgency=low

  * Merge from debian unstable, remaining changes: (LP: #257574)
  * Moved update-inetd and adduser to Pre-Depends as it is used
    in the preinst & postinst script.
  * Updated Standards-Version.

 -- Stefan Lesicnik <stefan@lsd.co.za>  Wed, 13 Aug 2008 14:34:40 +0200

xtell (2.10.5+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Added LSB formatted dependency info in init.d script (closes: #469807)

 -- Peter Eisentraut <petere@debian.org>  Wed, 02 Apr 2008 12:32:01 +0200

=== debian/control ===
Source: xtell
Section: net
Priority: optional
Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
XSBC-Original-Maintainer: Radovan Garabík <garabik@kassiopeia.juls.savba.sk>
Standards-Version: 3.8.0
Build-Depends: libreadline5-dev | libreadline-dev, libident-dev, debhelper (>= 4.1.16), po-debconf

Package: xtell
Architecture: any
Depends: ${shlibs:Depends}, netbase (>= 4.06), debconf | debconf-2.0
Pre-Depends: update-inetd, adduser
Description: Simple messaging client and server, sort of networked write
 Simple messaging client and server, allowing you to send messages
 from computer running xtell client to computer running xtelld server.
 Can be used as replacement for write(1).

## xtell 2.10.5+nmu3

=== debian/changelog ===
xtell (2.10.5+nmu3) unstable; urgency=medium

  * Non-maintainer upload.
  * Move Depends on 'update-inetd' to Pre-Depends - update-inetd is required
    in the *pre*inst, not postinst. Thanks to Adam D. Barratt <adsb@debian.org>
    (Closes: #502706).

 -- Chris Lamb <lamby@debian.org>  Mon, 20 Oct 2008 23:40:37 +0100

xtell (2.10.5+nmu2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add missing Depends on 'update-inetd' to ensure the presence of
    /usr/sbin/update-inetd in postinst script. (Closes: #502706)

 -- Chris Lamb <lamby@debian.org>  Mon, 20 Oct 2008 23:18:01 +0100

=== debian/control ===
Source: xtell
Section: net
Priority: optional
Maintainer: Radovan Garabík <garabik@kassiopeia.juls.savba.sk>
Standards-Version: 3.7.2
Build-Depends: libreadline5-dev | libreadline-dev, libident-dev, debhelper (>= 4.1.16), po-debconf

Package: xtell
Architecture: any
Pre-Depends: update-inetd
Depends: ${shlibs:Depends}, netbase (>= 4.06), debconf | debconf-2.0, adduser
Description: Simple messaging client and server, sort of networked write
 Simple messaging client and server, allowing you to send messages
 from computer running xtell client to computer running xtelld server.
 Can be used as replacement for write(1).

## xtell 2.10.6

=== debian/changelog ===
xtell (2.10.6) unstable; urgency=low

  * Move 'adduser' from Depends to Pre-Depends (see #502706 again). 
    Thanks to Stefan Lesicnik for pointing this out.

 -- Radovan Garabík <garabik@kassiopeia.juls.savba.sk>  Thu, 06 Nov 2008 22:54:06 +0100

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
 
 Package: xtell
 Architecture: any
-Pre-Depends: update-inetd
-Depends: ${shlibs:Depends}, netbase (>= 4.06), debconf | debconf-2.0, adduser
+Pre-Depends: update-inetd, adduser
+Depends: ${shlibs:Depends}, netbase (>= 4.06), debconf | debconf-2.0
 Description: Simple messaging client and server, sort of networked write
  Simple messaging client and server, allowing you to send messages
  from computer running xtell client to computer running xtelld server.

## xtell 2.10.7

=== Makefile ===
DESTDIR =
BINDIR=$(DESTDIR)/usr/bin
SBINDIR=$(DESTDIR)/usr/sbin
MANDIR=$(DESTDIR)/usr/man

CC = gcc 

CFLAGS = -g -Wall 
# -Wsurprising

#if you have GNU libreadline and libident.so, you can use it:
#LDFLAGS = -lreadline -lident

#use the following line in case you have only libident.a, not shared 
#library (or you want to link staticly against libident)
LDFLAGS = -lreadline /usr/lib/libident.a

#LDFLAGS should stay empty if you do not have libident and GNU libreadline at all
#LDFLAGS =

#SunOS needs following:
#LDFLAGS = -lreadline -lcurses -lsocket -lnsl

#some OSes (e.g. OpenBSD) need -lcurses as well if you are using readline

#for QNX:
#LDFLAGS = -lsocket



all: xtell xtelld

xtelld: xtelld.o daemon.o child.o tty.o common.o
	$(CC) $(CFLAGS) xtelld.o daemon.o child.o tty.o common.o $(LDFLAGS) -o xtelld
#	strip xtelld

xtell: xtell.o common.o
	$(CC) $(CFLAGS) xtell.o common.o $(LDFLAGS) -o xtell

xtelld.o: xtelld.c
	$(CC) $(CFLAGS) -c xtelld.c

daemon.o: daemon.c
	$(CC) $(CFLAGS) -c daemon.c

child.o: child.c
	$(CC) $(CFLAGS) -c child.c

tty.o: tty.c
	$(CC) $(CFLAGS) -c tty.c

xtell.o: xtell.c
	$(CC) $(CFLAGS) -c xtell.c

common.o: common.c
	$(CC) $(CFLAGS) -c common.c

clean:
	rm -f *~ *.o xtell xtelld

install: xtelld xtell
	cp xtelld $(SBINDIR)
	cp xtell $(BINDIR)

install-doc: 
	mkdir -p $(MANDIR)/man1 $(MANDIR)/man8
	mkdir -p $(MANDIR)/man1 $(MANDIR)/man1
	gzip -9 xtell.1 -c >$(MANDIR)/man1/xtell.1.gz
	gzip -9 xtelld.8 -c >$(MANDIR)/man8/xtelld.8.gz

=== debian/changelog ===
xtell (2.10.7) unstable; urgency=low

  * replace the libreadline5-dev build dependency with libreadline-dev
    (closes: #553881)

 -- Radovan Garabík <garabik@kassiopeia.juls.savba.sk>  Fri, 01 Jan 2010 20:14:55 +0100

=== debian/control ===
Source: xtell
Section: net
Priority: optional
Maintainer: Radovan Garabík <garabik@kassiopeia.juls.savba.sk>
Standards-Version: 3.7.2
Build-Depends: libreadline-dev, libident-dev, debhelper (>= 4.1.16), po-debconf

Package: xtell
Architecture: any
Pre-Depends: update-inetd, adduser
Depends: ${shlibs:Depends}, netbase (>= 4.06), debconf
Description: Simple messaging client and server, sort of networked write
 Simple messaging client and server, allowing you to send messages
 from computer running xtell client to computer running xtelld server.
 Can be used as replacement for write(1).

## xtell 2.10.7+nmu1

=== debian/changelog ===
xtell (2.10.7+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Bump d/compat to level 9 (Closes: #817739)
  * Add ${misc:Depends} to binary package

 -- Tobias Frost <tobi@debian.org>  Sat, 24 Sep 2016 14:03:35 +0200

## xtell 2.10.8

=== debian/changelog ===
xtell (2.10.8) unstable; urgency=low

  * add Italian debconf messages (closes: #710516)
  * add Brazilian Portuguese debconf messages (closes: #839274)
  * remove /etc/xtelldrc on purge (closes: #656209)
  * documentation update
  * make installscripts more robust if run as a standalone daemon

 -- Radovan Garabík <garabik@kassiopeia.juls.savba.sk>  Sat, 03 Dec 2016 20:30:53 +0100

=== debian/control ===
Source: xtell
Section: net
Priority: optional
Maintainer: Radovan Garabík <garabik@kassiopeia.juls.savba.sk>
Standards-Version: 3.7.2
Build-Depends: libreadline-dev, libident-dev, debhelper (>= 9), po-debconf

Package: xtell
Architecture: any
Pre-Depends: update-inetd, adduser
Depends: ${shlibs:Depends}, ${misc:Depends}, netbase (>= 4.06), debconf
Description: Simple messaging client and server, sort of networked write
 Simple messaging client and server, allowing you to send messages
 from computer running xtell client to computer running xtelld server.
 Can be used as replacement for write(1).

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-export DH_COMPAT=4
+#export DH_COMPAT=4
 
 build: build-stamp
 build-stamp:
